2005-05-02  Jens Petersen  <petersen@redhat.com>

	* configure.ac: Version 12.2.

2005-04-26  Akira TAGOH  <tagoh@redhat.com>

	* configure.ac (IIIMLIBDIR): Use IMDIR instead of the hardcoded path. (#68)
	(IIIMLEDIR): Use IM_LEIFDIR instead of the hardcoded path.

2005-04-21  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* gtkimcontextiiim.c

	IIIMGCF should set the display_id as an attribute before calling
	iiimcf_create_handle() inorder to distinguish clients from different
	display but same hostname.

2005-04-14  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* IIIMGdkEventKey.c

	MOD3 modifier has to be enabled for supporting EURO SYMBOL
	input using keyboard shortcuts 
             <Altgraph> + 'e'
             <Altgraph> + 'E'
             <Altgraph> + '4'
             <Altgraph> + '5'

2005-04-14  Akira TAGOH  <tagoh@redhat.com>

	* gtkimcontextiiim.c (im_context_iiim_focus_in): enforce to update
	the status window position when the window is focused in. (RH#139809)

2005-04-14  Jens Petersen  <petersen@redhat.com>

	* Makefile.am (im_iiim_la_SOURCES): Add missing header files.
	(EXTRA_DIST): Fix filelist.

	* autogen.sh: Run libtoolize.  Pass --copy to automake.

2005-04-13  Jens Petersen  <petersen@redhat.com>

	* Makefile.am (ACLOCAL_AMFLAGS): Include toplevel acfiles.

	* configure.ac: Name package iiimf-client-gtk, bump version, and
	update project mail address.  Do not call AC_CONFIG_AUX_DIR.

2005-04-11  Akira TAGOH  <tagoh@redhat.com>

	* imswitcher.c (im_context_switcher_set_input_language):
	make sure if input_lang is valid.

2005-04-04  Akira TAGOH  <tagoh@redhat.com>

	* gtkimcontextiiim.c (get_input_language): return a proper language
	only.
	(iiim_get_session_context): check NULL.
	(im_context_initialize_with_input_language): likewise.

2005-04-01  Akira TAGOH  <tagoh@redhat.com>

	* gtkimcontextiiim.c (iiim_keylist_free): fixed a crash issue when it's
	destroying. (ref. RH#153020)

2005-03-31  AShiZaWa KaZuNoRi  <kasha@sun.co.jp>

	* gtkimcontextiiim.c (get_iiim): Lookup IIIM_SERVER atom.

2005-03-23  Jens Petersen  <petersen@redhat.com>

	* configure.ac: call AM_INIT_AUTOMAKE without args so that it
	works with newer automake

2005-03-21  Akira TAGOH  <tagoh@redhat.com>

	* imaux.c (iiim_aux_download): ensure that there is a directory
	separator after the base path.

2005-03-17  AShiZaWa KaZuNoRi  <kasha@sun.co.jp>

	* configure.ac: path name changes.
	* imaux.c: path name changes.

2005-03-15  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* gtkimcontextiiim.c

	- Fixed the crash problem while switching languages using
	  "<Ctrl>IM_VK_UP" or "<Ctrl>IM_VK_DOWN" 

	- Instead of destroying and creating input context everytime when
          switching language, iiimcf_context_set_attr() is used to change
          the language attribute for the IC using IM_SETICVALUES protocol.

2005-03-11  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* IIIMGdkEventKey.c (i2gmodifier, modifier): ignore MOD3 modifier, or
	hot keys and trigger keys are ignored when Num_Lock is ON on Solaris.
	As MOD2 modifier's been ignored here, I did so for MOD3 here.
	Maybe, hot key and trigger key events should be taken regardless of
	MOD2/MOD3?

2005-03-04  Akira TAGOH  <at@gclab.org>

	* gtkimcontextiiim.c (im_context_iiim_reset): emit commit signal after
	the resetting IC was done.

2005-03-03  Akira TAGOH  <at@gclab.org>

	* gtkimcontextiiim.c (im_context_iiim_reset): don't emit commit signal
	when the preedit string is nothing.
	(im_context_iiim_reset): if the preedit length is 0, don't do anything.
	emit preedit_changed signal when only there is the preedit.

2005-02-24  Akira TAGOH  <tagoh@redhat.com>

	* gtkimcontextiiim.c (im_context_iiim_reset): implemented. more works
	will be needed to fix a workaround.

2005-01-21  Makoto Fujiyoshi <makoto_fujiyoshi@justsystem.co.jp>

	* IIIMGdkEventKey.c(get_kana_flag):
	Avoid crash when e->window point to NULL.

2004-12-14  Makoto Fujiyoshi <makoto_fujiyoshi@justsystem.co.jp>

	* IIIMGdkEventKey.c:
	Added processing of Zenkaku_Hankaku key.

	* gtkimcontextiiim.c
	* imaux.c :
	When it checks NULL in im_context_iiim_finalize(), 
	IIim_aux_destrory_ic () being to become unable to call,
	it moves NULL check to aux_get().

2004-12-07  Makoto Fujiyoshi <makoto_fujiyoshi@justsystem.co.jp>

	* gtkimcontextiiim.c:
	Fixed the problem which does not notfify the focusing event
	to the server, when status window is updated.

2004-12-01  Makoto Fujiyoshi <makoto_fujiyoshi@justsystem.co.jp>

	* IIIMGdkEventKey.c:
	1. avoid crash when the window of other process is destroyed.
	2. set correct time_stamp and modifier of key event.

	* imaux.c:
	1. check NULL pointer.
	2. correct the position of Lookup window.

2004-11-29  Hidetoshi Tajima  <tajima@red.iplanet.com>

	* gtkimcontextiiim.c (im_context_iiim_shutdown): reset
	iiim_is_initialized after calling iiimcf_finalize().

2004-11-23  Hidetoshi Tajima  <tajima@SFBay.Sun.COM>

	* gtkimcontextiiim.c (im_context_iiim_finalize):
	avoid crash when the finalize() method is called with NULL context
	handler. This could happen to kill client application right after
	it starts without giving any key input.

2004-11-08  Akira TAGOH  <tagoh@redhat.com>

	* imaux.c: added the prototype declaration for delete_aux_ic().

2004-11-08  Makoto Fujiyoshi <makoto_fujiyoshi@justsystem.co.jp>

	* IIIMGdkEventKey.c: implement Japanese kana mode like iiimxcf(xiiimp.so).
	* gtkimcontextiiim.c, imaux.c:
	notify Destroy/SetFocus/UnsetFocus events to AUX.

2004-11-02  Jens Petersen  <petersen@redhat.com>

	* configure.ac: Don't override CFLAGS, CXXFLAGS and LDFLAGS.

2004-10-26  Akira TAGOH  <tagoh@redhat.com>

	* gtkimcontextiiim.c: clean up the compiler warnings.

	* imswitcher.h (im_context_switcher_set_conversion_mode): added
	im_context_switcher_set_language_engine_list's prototype declaration.

2004-09-21  Jens Petersen  <petersen@redhat.com>

	* gtkimcontextiiim.c (status_callback): Update the status atom
	even when status is attached to the application frame for now.

2004-09-20  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* gtkimcontextiiim.c (status_window_set_text): don't set status text
	when status_window is disclaimed.

2004-09-14  Motonobu Ichimura  <famao@openi18n.org>

        * gtkimcontextiiim.c (iiim_candidate_show): set current_candidate to 0
        when LE sends negative value for current_candidate.

2004-08-26  Sriram Swaminathan  <sriram.swaminathan@sun.com>
	* gtkimcontextiiim.c

  Need to update the title of Candidate window whenever
  LOOKUP_DRAW is received.

2004-08-21  Motonobu Ichimura  <famao@openi18n.org>

        * IIIMGdkEventKey.c: don't send GdkKeySym as IIIMCF's keycode.

2004-08-09  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* gtkimcontextiiim.c: Removed the Language Switching functionality
    from iiimgcf (from Language Switching Window) and moved it to the 
    server side.

2004-08-02  Motonobu Ichimura <famao@openi18n.org>

        * gtkimcontextiiim.c: can re-connect to iiimsf
        when remote connection is closed.

2004-07-29  Makoto Fujiyoshi  <makoto_fujiyoshi@justsystem.co.jp>

        * imaux-int.h, imaux.c, imaux.h, gtkimcontextiiim.c,
          gtkimcontextiiim.h: 
        Added new aux interface (same as xiiimp.so)
         - use new aux interface if "aux_info" symbol is found in an
           aux module.
         - aux_info replaces aux_dir, and should hold aux_info_t
           structure instance:
             if_version : aux interface version, 0x00020000 or greater
             register_service: register service methods to aux modules
             aux_dir : aux_dir symbol, same as the previous aux interface
         - aux modules must implement three new methods in aux_method_t
           to be compiliant to the new aux interface.
                Bool (* destroy_ic)(aux_t *);
                Bool (* set_icforcus)(aux_t *);
                Bool (* unset_icforcus)(aux_t *);

2004-07-15  Hidetoshi Tajima  <tajima@d-sjc07-023-223.SFBay.Sun.COM>

	* imswitcher.c, imswitcher.h, gtkimcontextiiim.c :
	switch multilple language engines for the same input language
	( great help from Yu Shao in adding this feature in GIMLET and IIIMGCF)

2004-06-17  Sriram Swaminathan  <sriram.swaminathan@sun.com>

	* gtkimcontextiiim.c: Enabled the language switching using
    lookup window (as part of HOTKEY protocol), mainly for 
    client applications that doesn't have access GIMLET.

2004-05-17  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* gtkimcontextiiim.c: should enable input method by default when 
	there is no _IM_SETTINGS.

2004-04-28  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* gtkimcontextiiim.c: use CONV_ON(=1)/CONV_OFF(=0) enum values,
	instead of TRUE/FALSE.

2004-04-26  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* gtkimcontextiiim.c: use _IM_SETTINGS only to decide status style.

2004-04-23  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* gtkimcontextiiim.c :
	get _IM_SETTINGS property on root_window for
	enabling/disabling input-methods, status, and lookup.

2004-04-22  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* gtkimcontextiiim.c (get_iiim):
	use gtk-im-status-style gtk-setting to change status
	appearance, among "callback", "nothing" and "none".

2004-04-09  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* imaux.c : surpress compile warnings, code cleanup.

2004-03-31  Hidetoshi Tajima  <tajima@SFBay.Sun.COM>

	* imaux-int.h, imaux.c:
	new aux_getvalues methods must be added at the end of structures.

	* gtkimcontextiiim.c (iiim_candidate_move):
        candidate window position should be adjusted when it is at
	screen edge. (suggested by Yu Shao <yshao@redhat.com>'s patch)

	code cleanup (removed unused variables and functions).

2004-03-29  Hidetoshi Tajima  <tajima@SFBay.Sun.COM>

	* imaux-int.h, imaux.h, imaux.c, gtkimcontextiiim.c :
	changes to receive and handle aux_getvalues_reply messages from server.

	* gtkimcontextiiim.h, gtkimcontextiiim.c :
	added im_context_aux_get_values()
	* imaux.c, imaux-int.h: added service_aux_getvalue()

	added IM_AUX_GETVALUES/IM_AUX_GETVALUES_REPLY

2004-03-18  Hidetoshi Tajima  <tajima@SFBay.Sun.COM>

        * IIIMGdkEventKey.c, gtkimcontextiiim.c :
        GTK_MINOR_VERSION check should be >=2, instead of == 2.

        * IIIMGdkEventKey.c (convert_IIIMCF_keyevent_to_GdkEventKey):
        CapsLock ON ShiftLock ON Alphabet keys are returned back to
        lower letters, instead of upper ones (#4996278)

        * gtkimcontextiiim.c (iiim_candidate_move):
        candidate window position should adjust according to the screen
        height

        lookup window doesn't resize itself when length(width) of candidate
        changes

        * imaux-int.h:
        * imaux.c
        added two new aux services to set/get conversion mode.

2004-01-21  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* gtkimcontextiiim.c (im_context_iiim_filter_keypress):
	fix Num_Lock, Caps_Lock..
	* imaux.c: fix a typo

2004-01-14  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* imaux.c: added
	* imaux.h, imaux-int.h: added
	* gtkimcontextiiim.c: handle aux events.
	* Makefile.am: added imaux.c
	Aux support. With this change, IIIMGCF client should be
	able to use AUX windows.
	
2004-01-06  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* gtkimcontextiiim.c (set_error_message):
	show an error message when htt_server is not running.

2004-01-05  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* gtkimcontextiiim.h:
	* gtkimcontextiiim.c:
	* imswitcher.c

	 ported status window handling code from gtkimcontextxim:

         Mon Aug 18 17:19:12 2003  Owen Taylor  <otaylor@redhat.com>
	
	   * modules/input/gtkimcontextxim.[ch]: Substantially
	   rework the handling of status windows:
	
	   - Store the current StatusWindow in the 
	   GtkIMContextXIM structure and vice-versa, so we
	   don't have to hunt the window hierarchy on cleanup.
	   - Use the Gtkidget hierarchy instead of/or as well
	   as the GdkWindow hierarchy when finding the toplevel;
	   this helps for things like GtkHandlebox
	   - Watch GtkWidget::hierarchy_changed to catch 
	   changes in the toplevel without changes in the
	   GdkWindow (reparenting)
	   - Never create the GtkWindow for the status window
	   unless we have text to display.
	   - Various cleanups, add lots of comments.

2003-12-11  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* autogen.sh (have_automake): fix error
	* acinclude.m4 : removed

2003-12-04  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* gtkimcontextiiim.c, gtkimcontextiiim.h:
	* imswitcher.c, imswitcher.h: added initially.

	    Communicate with gnome-im-switcher.

2003-12-02  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* gtkimcontextiiim.c (struct _GtkIIIMInfo):
	- allow GTK_MINOR_VERSION greater than 2 (for gtk+-2.3.x)
	- guess input language from current locale names.

2003-11-25  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* gtkimcontextiiim.c (iiim_event_dispatch):
	emit preedit_changed signal for PREEDIT_DONE again, otherwise
	preedit text remains when turning conversion off..
	[at least it is the case when using iiimf-canna.]

	It's would be better if we could commit remaining preedit
	text when conversion is turned off, just like XIM does..
	
2003-11-25  Motonobu Ichimura  <famao@momonga-linux.org>

	* IIIMGdkEventKey.c (i2gcode): API changed to treat
	IIIMCF_keyevent->keychar for a special case. (such as '?', '%').


2003-11-22  Motonobu Ichimura  <famao@momonga-linux.org>

	* gtkimcontextiiim.c (iiim_event_dispatch):
	emit preedit_end signal in the case of
	IIIMCF_EVENT_TYPE_UI_PREEDIT_DONE, not preedit_changed.

	* IIIMGdkEventKey.c (i2gcode):
	return keycode by default.

2003-11-18  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* gtkimcontextiiim.c (forward_event):
	Don't return events when some errors occur, otherwise
	applications would often crash for me.

	* IIIMGdkEventKey.c (g2icode):
	send Multi_key as VK_COMPOSE to the server.

	* gtkimcontextiiim.c (struct _GtkIIIMInfo):
	put le_name and locale into IMinfo, instead of IMContext.

2003-11-17  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* enable NLS

	* gtkimcontextiiim.c :
	 * fixed a typo "preedit_change" -> "preedit_changed".
	 * fixed a typo IIIM_status -> IIIMF_status.
	 * The 1st argument of forward_event is GtkIMContextIIIM(3 places).
	
	 * fix visual feedback attributes in preedit text.


2003-11-17  Motonobu Ichimura  <famao@momonga-linux.org>
	
	* gtkimcontextiiim.c (forward_event): 
	new function.

	(set_error_message): 
	new function.

	(im_context_iiim_filter_keypress):
	move event related actions to iiim_event_dispatch.


2003-11-14  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* gtkimcontextiiim.c (iiim_create_candidate_window):
	fix some missing initializations for lookup choice operation.

	(im_context_iiim_filter_keypress):
	support reconnection and delayed-connection to IIIMSF.

2003-11-11  Hidetoshi Tajima  <hidetoshi.tajima@sun.com>

	* TODO: added initially.

	* gtkimcontextiiim.c (im_context_iiim_get_preedit_string):
	patch from Choe Hwanjin <krisna@kldp.org> caret_position should be
	assigned to cursor_pos.

	* autogen.sh, acinclude.m4
	initially added.
	* remove config.h.in, aclocal.m4, Makefile.in, configure

2003-11-11  Motonobu Ichimura  <famao@momonga-linux.org>

      CHANGES

	* When GtkIMContextIIIM has a candidate window, and 
	  a client window lose focus, hide a candidate window
	* Fix a bug that iiimgf sometime calls iiimcf_dispatch_event 
	  while an iiimcf event isn't initialized yet.
	* Add a member "GSList *keylist" to struct _GtkIMContextIIIMInfo.
	* Added a convert_IIIMCF_keyevent_to_GdkEventKey function and 
	  handle a case of IIIMCF_EVENT_TYPE_KEYEVENT propery.
	* Do not put messages to stdout when DEBUG is not defined 
	  at compile time. (it effects some applications using pipe)
	* Re-initialize an iiimf context when an application set a
	  client_window.
	* Fix some memory leaks on some cases on im_context_iiim_finalize.
	* Arrange a source code using indent.
	* Some code cleanup of unused variables and funtcion (from Tajima-san)
	* Call iiim_dispatch_event on im_context_iiim_filter_keypress. (from Tajima-san)
      TODO

        * merge status window related works from gtk+-2.2.4
	* and a lot..

2003-08-16  MIYASHITA Hisashi  <himi@li18nux.org>

	* gtkimcontextiiim.c (iiim_event_dispatch):
	Do iiimcf_ignore_event() for all events that are
	obtained by iiimcf_get_next_event().

2003-06-12  MIYASHITA Hisashi  <himi@li18nux.org>

	* gtkimcontextiiim.c: Included string.h.

2003-05-26  MIYASHITA Hisashi  <himi@li18nux.org>

	* gtkimcontextiiim.c (iiim_get_languages, iiim_get_im_list) 
	(iiim_event_dispatch, iiim_candidate_show) 
	(iiim_create_candidate_window, iiim_get_session_context) 
	(im_context_iiim_filter_keypress) 
	(im_context_iiim_set_client_window, im_context_iiim_focus_in) 
	(im_context_iiim_focus_out, im_context_iiim_get_preedit_string):
	Check the status code of IIIMCF API.

2003-05-23  MIYASHITA Hisashi  <himi@li18nux.org>

	* IIIMGdkEventKey.c: Reformated it to the GNU coding style.
	* IIIMGdkEventKey.h: Ditto.
	* gtkimcontextiiim.c: Ditto.
	* gtkimcontextiiim.h: Ditto.
	* imiiim.c: Ditto.

2003-05-20  MIYASHITA Hisashi  <himi@li18nux.org>

	* gtkimcontextiiim.c: Include IIIMGdkEventKey.h
	instead of KeyMap.h.
	(im_context_iiim_filter_keypress): Use
	convert_GdkEventKey_to_IIIMCF_keyevent
	to generate IIIMCF_keyevent.  And don't dispatch the
	forwarded event.

	* Makefile.am (im_iiim_la_SOURCES): Substitute IIIMGdkEventKey.c
	and IIIMGdkEventKey.h for KeyMap.c and KeyMap.h.
	* KeyMap.c: Removed.
	* KeyMap.h: Ditto.
	* IIIMGdkEventKey.c: New file.
	* IIIMGdkEventKey.h: Ditto.

	* AUTHORS: Added.

2003-05-16  MIYASHITA Hisashi  <himi@li18nux.org>

	* configure.ac: Added -I$(IM_INCLUDEDIR)/iiimp.

	* Makefile.am (im_iiim_la_LIBADD): Spcified the pato of
	libiiimcf.la and libiiimp.la.

	* Import iiimcf-gtk version 0.5.

